View Issue Details

IDProjectCategoryView StatusLast Update
0004190FreeCADBugpublic2019-11-11 10:50
Reportercbalint Assigned Towmayer  
PrioritynoneSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version
Product Version0.19 
Target VersionFixed in Version0.19 
Summary0004190: FreeCAD fail to build with OCE (community eddition) AKA support older OCC versions
DescriptionThis [PR#2680](https://github.com/FreeCAD/FreeCAD/pull/2680) introduced a hederfile [Standard_Handle.hxx](https://github.com/FreeCAD/FreeCAD/blob/master/src/Mod/TechDraw/App/DrawDimHelper.h#L26) not available in OCE community edition.

Unsure if it is intentional, is FreeCAD dropping OCE support.

Error is obvious:
```
[ 35%] Building CXX object src/Mod/TechDraw/App/CMakeFiles/TechDraw.dir/AppTechDrawPy.cpp.o
In file included from /home/cbalint/rpmbuild/BUILD/FreeCAD/src/Mod/TechDraw/App/AppTechDrawPy.cpp:73:
/home/cbalint/rpmbuild/BUILD/FreeCAD/src/Mod/TechDraw/App/DrawDimHelper.h:26:10: fatal error: Standard_Handle.hxx: No such file or directory
   26 | #include <Standard_Handle.hxx>
      | ^~~~~~~~~~~~~~~~~~~~~
```

Standard_Handle.hxx is not part of community edition of OCE (never was).
Steps To ReproduceUsing FreeCAD master as of 07Nov2010.
Additional Information```
-- -- OpenCASCADE Community Edition has been found.
-- Found OCC: /usr/lib64/oce-0.18/../../include/oce (found version "6.9.1")
-- -- Found OCE/OpenCASCADE version: 6.9.1
-- -- OCE/OpenCASCADE include directory: /usr/lib64/oce-0.18/../../include/oce
-- -- OCE/OpenCASCADE shared libraries directory:

```

```
==============
Summary report
==============

-- Build type:
-- Python: [/usr/bin/python3] [.cpython-38-x86_64-linux-gnu]
-- PCL: 1.9.1
-- pybind11: 2.4.3
-- Boost: 106900
-- XercesC: [/usr/lib64/libxerces-c.so] [/usr/include]
-- ZLIB: 1.2.11
-- PyCXX: [/usr/include]
-- OCC: 6.9.1 [TKFillet;TKMesh;TKernel;TKG2d;TKG3d;TKMath;TKIGES;TKSTL;TKShHealing;TKXSBase;TKBin;TKBool;TKBO;TKCDF;TKBRep;TKTopAlgo;TKGeomAlgo;TKGeomBase;TKOffset;TKPrim;TKSTEP;TKSTEPBase;TKSTEPAttr;TKHLR;TKFeat]
-- SMESH: build internal
-- MEDFile: [/usr/lib64/libmedC.so;/usr/lib64/libmed.so] [/usr/include/med]
-- HDF5: 1.10.5
-- VTK: 8.2.0
-- NETGEN: 6.2-dev [-DNO_PARALLEL_THREADS;-DOCCGEOMETRY;-DNETGEN_VERSION=393728] [] [/usr/include/netgen-mesher/include;/usr/include/netgen-mesher] [nglib] [/usr/include/netgen-mesher/include;/usr/include/netgen-mesher]
-- SWIG: 4.0.1
-- Eigen3 3.3.7
-- Qt5Core: 5.12.5
-- Qt5Network: 5.12.5
-- Qt5Xml: 5.12.5
-- Qt5XmlPatterns: 5.12.5
-- Qt5Widgets: 5.12.5
-- Qt5PrintSupport: 5.12.5
-- Qt5OpenGL: 5.12.5
-- Qt5Svg: 5.12.5
-- Qt5UiTools: 5.12.5
-- Qt5Concurrent: 5.12.5
-- Qt5WebKitWidgets: 5.212.0
-- Shiboken2: 5.12.5 [/usr/lib64/cmake/Shiboken2-5.12.5] [/usr/include/shiboken2;/usr/include/python3.8]
-- PySide2: 5.12.5 [/usr/include/PySide2]
-- PySide2Tools: [/usr/bin/pyside2-uic] [/usr/bin/pyside2-rcc]
-- Freetype: 2.10.0
-- OpenGLU: /usr/lib64/libGLU.so [/usr/lib64/libGLU.so][/usr/include]
-- Coin3D: [Coin] [/usr/include/Coin4]
-- SPNAV: [/usr/lib64/libspnav.so] [/usr/include]
-- Matplotlib: 3.1.1
-- Rift: not enabled (BUILD_VR)
-- Doxygen: not found
=================================================
Now run 'cmake --build /home/cbalint/rpmbuild/BUILD/FreeCAD/build' to build FreeCAD
=================================================
```
TagsNo tags attached.
FreeCAD InformationFreeCAD master branch.

Activities

openBrain

2019-11-08 17:45

developer   ~0013805

@cbalint : please create a new topic in our forum to discuss this issue (according guidelines in the big yellow box on top of the page). Especially compiling issues are generally not bugs and are fast & well handle by community without requiring any reporting/tracking here. ;)
Thx.

cbalint

2019-11-08 17:58

reporter   ~0013807

@openBrain,

* Did so under forum's 'Install/Compile' topic.
* Referenced this Issue number there.

Thank you !

openBrain

2019-11-09 10:07

developer   ~0013811

@cbalint : that's the right place (actually saw there are already good answers there). ;)
Link to said thread
Ticket will be closed as is in the coming days except if developers need it as a reminder.

Kunda1

2019-11-11 10:40

administrator   ~0013819

wmayer added a fix in FreeCAD master ac4e2301

Kunda1

2019-11-11 10:50

administrator   ~0013820

Thanks to all!
Closing.

Related Changesets

FreeCAD: master ac4e2301

2019-11-09 10:03:23

wmayer

Details Diff
[skip ci] remove Standard_Handle.hxx to still support older OCC versions Affected Issues
0004190
mod - src/Mod/TechDraw/App/DrawDimHelper.h Diff File

Issue History

Date Modified Username Field Change
2019-11-07 10:30 cbalint New Issue
2019-11-08 17:45 openBrain Note Added: 0013805
2019-11-08 17:45 openBrain Tag Attached: #post-to-forum
2019-11-08 17:46 openBrain Priority normal => none
2019-11-08 17:46 openBrain Status new => feedback
2019-11-08 17:58 cbalint Note Added: 0013807
2019-11-08 17:58 cbalint Status feedback => new
2019-11-09 10:07 openBrain Note Added: 0013811
2019-11-09 10:07 openBrain Tag Detached: #post-to-forum
2019-11-09 10:08 openBrain Tag Attached: #pending-forum
2019-11-09 10:08 openBrain Tag Attached: #tobeclosed
2019-11-11 10:40 Kunda1 Tag Detached: #tobeclosed
2019-11-11 10:40 Kunda1 Tag Detached: #pending-forum
2019-11-11 10:40 Kunda1 Note Added: 0013819
2019-11-11 10:41 Kunda1 Changeset attached => FreeCAD master ac4e2301
2019-11-11 10:49 Kunda1 Summary FreeCAD fail to build with OCE (community eddition) => FreeCAD fail to build with OCE (community eddition) AKA support older OCC versions
2019-11-11 10:50 Kunda1 Assigned To => wmayer
2019-11-11 10:50 Kunda1 Status new => closed
2019-11-11 10:50 Kunda1 Resolution open => fixed
2019-11-11 10:50 Kunda1 Fixed in Version => 0.19
2019-11-11 10:50 Kunda1 Note Added: 0013820